SLAGTM(3f)

NAME
SLAGTM - a matrix-vector product of the form B := alpha * A * X + beta * B where A is a tridiagonal matrix of order N, B and X are N by NRHS matrices, and alpha and beta are real scalars, each of which may be 0., 1., or -1

SYNOPSIS

SUBROUTINE SLAGTM(
    TRANS, N, NRHS, ALPHA, DL, D, DU, X, LDX, BETA, B, LDB )

CHARACTER
    TRANS

INTEGER
    LDB, LDX, N, NRHS

REAL
    ALPHA, BETA

REAL
    B( LDB, * ), D( * ), DL( * ), DU( * ), X( LDX, * )

PURPOSE
SLAGTM performs a matrix-vector product of the form

ARGUMENTS

TRANS   (input) CHARACTER*1
    Specifies the operation applied to A. = 'N': No transpose, B := alpha * A * X + beta * B
    = 'T': Transpose, B := alpha * A'* X + beta * B
    = 'C': Conjugate transpose = Transpose

N       (input) INTEGER
    The order of the matrix A. N >= 0.

NRHS    (input) INTEGER
    The number of right hand sides, i.e., the number of columns of the matrices X and B.

ALPHA   (input) REAL
    The scalar alpha. ALPHA must be 0., 1., or -1.; otherwise, it is assumed to be 0.

DL      (input) REAL array, dimension (N-1)
    The (n-1) sub-diagonal elements of T.

D       (input) REAL array, dimension (N)
    The diagonal elements of T.

DU      (input) REAL array, dimension (N-1)
    The (n-1) super-diagonal elements of T.

X       (input) REAL array, dimension (LDX,NRHS)
    The N by NRHS matrix X. LDX (input) INTEGER The leading dimension of the array X. LDX >= max(N,1).

BETA    (input) REAL
    The scalar beta. BETA must be 0., 1., or -1.; otherwise, it is assumed to be 1.

B       (input/output) REAL array, dimension (LDB,NRHS)
    On entry, the N by NRHS matrix B. On exit, B is overwritten by the matrix expression B := alpha * A * X + beta * B.

LDB     (input) INTEGER
    The leading dimension of the array B. LDB >= max(N,1).